import QtQuick 1.1
import com.nokia.meego 1.0
import stage.rubyx.BarcodeReader 1.0


Page {
    property string lastData: ""
    id: decoderPage
    tools: commonTools

    function openFile(file) {
        var component = Qt.createComponent(file)

        if (component.status == Component.Ready)
            pageStack.push(component);
        else
            console.log("Error loading component:", component.errorString());
    }

    Component.onCompleted: reader.start();

    BarcodeReader {
        id:reader
        viewport:viewport

        onDecode: {
            reader.stop();
            decoderPage.lastData = data;
            decoderPage.openFile("Found.qml");
        }
    }

    BarcodeViewport {
        id:viewport
        anchors.fill:parent

        MouseArea {
            anchors.fill:parent
            onClicked: {
                reader.start();
            }
        }
    }
}
